Subject: linux-next: manual merge of the kselftest-fixes tree with the mm-hotfixes tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 29 Jan 2024 08:53:01 +1100

Hi all,

Today's linux-next merge of the kselftest-fixes tree got a conflict in:

  tools/testing/selftests/core/close_range_test.c

between commit:

  27a593e3f13a ("selftests: core: include linux/close_range.h for CLOSE_RANGE_* macros")

from the mm-hotfixes-unstable branch of the mm-hotfixes tree and commit:

  b5a8a6de69bc ("selftests/core: Fix build issue with CLOSE_RANGE_UNSHARE")

from the kselftest-fixes tree.

I fixed it up (basically the same patch, I used the former which kept
the blank line) and can carry the fix as necessary. This is now fixed
as far as linux-next is concerned, but any non trivial conflicts should
be mentioned to your upstream maintainer when your tree is submitted for
merging.  You may also want to consider cooperating with the maintainer
of the conflicting tree to minimise any particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell